body {
    background-color: #141414;
    margin: 0;
    padding: 20px;
    font-family: Arial, Helvetica, sans-serif;
}

.menu {
    position: sticky;
    top: 0;
    background-color: #333333;
    padding: 20px;
    gap: 20px;
    display: flex;
    justify-content: left;
    border-radius: 10px;
}

.menu a {
    background-color: #222222;
    color: #fdfdfd;
    text-decoration: none;
    font-weight: bold;
    font-size: 18px;
    padding: 10px 20px;
    border-radius: 20px;
    border: 1px solid #555555;
}

.menu a:hover {
    background-color: #555555;
}

.menu a#selected {
    background-color: #4caf50;
    color: #fdfdfd;
    border: 1px solid #4caf50;
}

menu a#selected:hover {
    background-color: #45a049;
    border: 1px solid #45a049;
}

.element {
    display: flex;
    gap: 20px;
    align-items: flex-start;
    /*background-color: #222222;*/
    background-color: #141414;
    margin: 10px;
    padding: 20px;
    border-radius: 10px;                
    border: 1px solid #555555;          /*Modrinth-like card style*/
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}

.element img {
    width: 100px;
    height: auto;
    border-radius: 10px;
}

.element .content {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    gap: 10px;
}

.element h2,
.element p,
.element a {
    font-family: Arial, Helvetica, sans-serif;
    color: #fdfdfd;
    margin: 0;
}

.element p {
    max-width: 480px;
}

.element .links {
    display: flex;
    flex-direction: column;
    gap: 8px;
    margin-left: auto;
    text-align: center;
}

.element .links .modrinth-link {
    color: #4caf50;
    background-color: #222;
    text-decoration: none;
    white-space: nowrap;
    padding: 8px 12px;
    border-radius: 20px; 
    border: 1px solid #888888;
}

.element .links .curseforge-link {
    color: #ff5722;
    background-color: #222;
    text-decoration: none;
    white-space: nowrap;
    padding: 8px 12px;
    border-radius: 20px;
    border: 1px solid #888888;
}

.element .links .modrinth-link:hover {
    text-decoration: underline;
}

.element .links .curseforge-link:hover {
    text-decoration: underline;
}